Post an approvalRule
1 min
POST
https://app.amberflo.io/payments/pricing/amberflo/account-pricing/approval-rules
Body Parameters
- bodypayment.pricing.approval_rules.ApprovalRule.in
- objectpayment.pricing.approval_rules.ReviewByProductItemPrice.in
- typestringDefaultproduct_item_rule
- idstringrequiredDescription
- entityTypepayment.pricing.approval_rules.ApprovalRuleType.inrequiredDescription
- productItemIdstringrequiredDescription
- approvalByRatioToApproversmap<string, string[]>requiredDescription
- objectpayment.pricing.approval_rules.ReviewByRatioOfTotalPrice.in
- typestringDefaultratio_of_total_price
- idstringrequiredDescription
- productIdstringrequiredDescription
- entityTypepayment.pricing.approval_rules.ApprovalRuleType.inrequiredDescription
- approvalByRatioToApproversmap<string, string[]>requiredDescription
Responses
200
- payment.pricing.approval_rules.ApprovalRule.out
- objectpayment.pricing.approval_rules.ReviewByProductItemPrice.out
- typestringDefaultproduct_item_rule
- idstringrequiredDescription
- entityTypepayment.pricing.approval_rules.ApprovalRuleType.outrequiredDescription
- productItemIdstringrequiredDescription
- approvalByRatioToApproversmap<string, string[]>requiredDescription
- objectpayment.pricing.approval_rules.ReviewByRatioOfTotalPrice.out
- typestringDefaultratio_of_total_price
- idstringrequiredDescription
- productIdstringrequiredDescription
- entityTypepayment.pricing.approval_rules.ApprovalRuleType.outrequiredDescription
- approvalByRatioToApproversmap<string, string[]>requiredDescription
- lastUpdateTimeInMillisinteger<int64>Description
curl
curl --request POST \
--url https://app.amberflo.io/payments/pricing/amberflo/account-pricing/approval-rules \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"type": "product_item_rule",
"id": "",
"entityType": "",
"productItemId": "",
"approvalByRatioToApprovers": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"type": "product_item_rule",
"id": "",
"entityType": "",
"productItemId": "",
"approvalByRatioToApprovers": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/payments/pricing/amberflo/account-pricing/approval-rules", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/payments/pricing/amberflo/account-pricing/approval-rules")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"type": "product_item_rule",
"id": "",
"entityType": "",
"productItemId": "",
"approvalByRatioToApprovers": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/payments/pricing/amberflo/account-pricing/approval-rules"
payload = json.dumps({
"type": "product_item_rule",
"id": "",
"entityType": "",
"productItemId": "",
"approvalByRatioToApprovers": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{}